com.smartgwt.client.widgets.ace

## Class AceRenderer

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.widgets.ace.AceRenderer

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class AceRenderer
      extends BaseClass

  Internal use only.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AceRenderer()`
    `AceRenderer(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
    `com.google.gwt.core.client.JavaScriptObject` | `getOrCreateJsObj()`
    `static AceRenderer` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowGutter()` Internal use only.
    `java.lang.Boolean` | `getShowPrintMargin()` Internal use only.
    `java.lang.String` | `getTheme()` Internal use only.
    `void` | `hideCursor()` Internal use only.
    `boolean` | `isCreated()`
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `AceRenderer` | `setShowGutter(java.lang.Boolean showGutter)` Internal use only.
    `AceRenderer` | `setShowPrintMargin(java.lang.Boolean showPrintMargin)` Internal use only.
    `AceRenderer` | `setTheme(java.lang.String theme)` Internal use only.
    `void` | `showCursor()` Internal use only.

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AceRenderer

          public AceRenderer()

    - #### AceRenderer

          public AceRenderer(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static AceRenderer getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `BaseClass`

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Specified by:
        `create` in class `BaseClass`

    - #### isCreated

          public boolean isCreated()

      Overrides:
        `isCreated` in class `BaseClass`

    - #### getJsObj

          public com.google.gwt.core.client.JavaScriptObject getJsObj()

      Overrides:
        `getJsObj` in class `BaseClass`

    - #### getOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject getOrCreateJsObj()

      Overrides:
        `getOrCreateJsObj` in class `BaseClass`

    - #### setShowGutter

          public AceRenderer setShowGutter(java.lang.Boolean showGutter)

      Internal use only.

    - #### getShowGutter

          public java.lang.Boolean getShowGutter()

      Internal use only.

    - #### setShowPrintMargin

          public AceRenderer setShowPrintMargin(java.lang.Boolean showPrintMargin)

      Internal use only.

    - #### getShowPrintMargin

          public java.lang.Boolean getShowPrintMargin()

      Internal use only.

    - #### setTheme

          public AceRenderer setTheme(java.lang.String theme)

      Internal use only.

    - #### getTheme

          public java.lang.String getTheme()

      Internal use only.

    - #### hideCursor

          public void hideCursor()

      Internal use only.

    - #### showCursor

          public void showCursor()

      Internal use only.